package fyloz.trial.ColorRecipesExplorer.dao;

import fyloz.trial.ColorRecipesExplorer.model.Material;
import fyloz.trial.ColorRecipesExplorer.model.MixQuantity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MixQuantityDao extends JpaRepository<MixQuantity, Integer> {
    MixQuantity findByMixQuantityID(int mixQuantityID);

    List<MixQuantity> findAllByMaterial(Material material);
}
