package fyloz.trial.ColorRecipesExplorer.web;

public class StringBank {

    public static final String SUCCESS_USING_MATERIALS = "Les quantités de chaque produits utilisés ont été déduites de l'inventaire";
    public static final String SUCCESS_SAVING_RECIPE_INFORMATIONS = "Les informations de la recette ont été sauvegardées";
    public static final String ERROR_SAVING = "Une erreur est survenue lors de l'enregistrement";
    public static final String ERROR_SAVING_IMAGE = "Une erreur est survenue lors de l'enregistrement de l'image";
    public static final String ERROR_SAVING_SIMDUT = "Une erreur est survenue lors de l'enregistrement du fichier SIMDUT";
    public static final String AUTH_ERROR = "Votre mot de passe n'est pas valide";

    // À formatter
    public static final String RECIPE_NOT_FOUND = "Aucune recette ayant l'identifiant '%s' n'a été trouvée";
    public static final String MIX_NOT_FOUND = "Aucun mélange ayant l'identifiant '%s' n'a été trouvé";
    public static final String MATERIAL_NOT_FOUND = "Aucun produit ayant l'identifiant '%s' n'a été trouvé";
    public static final String MATERIAL_ALREADY_EXIST = "Il y a déjà un produit s'appellant '%s'";
    public static final String MATERIAL_TYPE_ALREADY_EXIST = "Il y a déjà un type de produit s'appellant '%s'";
    public static final String COMPANY_NOT_FOUND = "Aucune bannière ayant l'identifiant '%s' n'a été trouvée";
    public static final String COMPANY_ALREADY_EXIST = "Il y a déjà une bannière s'appellant '%s'";
    public static final String MATERIAL_LINKED = "Le produit '%s' est lié à une ou plusieurs recettes, veuillez les supprimer d'abord";
    public static final String COMPANY_LINKED = "La bannière '%s' est liée à une ou plusieurs recettes, veuillez les supprimer d'abord";
    public static final String MIX_NOT_ASSOCIATED_WITH_RECIPE = "Le mélange ayant l'identifiant '%s' n'est pas associé à la recette ayant l'identifiant '%s'";
    public static final String NOT_ENOUGH_MATERIAL = "Il n'y a pas assez de '%s' en inventaire pour cette recette";
    public static final String MIX_TYPE_ALREADY_USED = "Cette recette contient déjà un mélange du type '%s'";

    // Types de réponse
    public static final String RESPONSE_ERROR = "error";
    public static final String RESPONSE_SUCCESS = "success";
    public static final String RESPONSE_REASON = "reason";

    // Types d'attributs communs
    public static final String MATERIALS = "materials";
    public static final String MATERIAL = "material";
    public static final String MATERIAL_ID = "materialID";
    public static final String MATERIAL_CODE = "materialCode";
    public static final String MATERIAL_TYPES = "materialTypes";
    public static final String MATERIAL_TYPE = "materialType";
    public static final String RECIPES = "recipes";
    public static final String RECIPE = "recipe";
    public static final String RECIPE_ID = "recipeID";
    public static final String RECIPE_CODE = "recipeCode";
    public static final String MIXES = "mixes";
    public static final String MIX = "mix";
    public static final String MIX_ID = "mixID";
    public static final String MIX_TYPE = "mixType";
    public static final String MIX_TYPES = "mixTypes";
    public static final String COMPANIES = "companies";
    public static final String COMPANY = "company";
    public static final String COMPANY_ID = "companyID";

    public static final String UPLOAD_LOCATION = System.getProperty("upload.location");
    public static final String IMAGES_LOCATION = UPLOAD_LOCATION + "/images";
    public static final String SIMDUTS_LOCATION = UPLOAD_LOCATION + "/simdut/";

}
